<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

$pembuat = intval($ditetapkanoleh);

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/penetapan/perdata_agama/".$filename.".rtf");

$Template = file_get_contents($url);

$nomorperkara = array();
$nomorsurat = array();
$tanggalsurat = array();
$tanggaldaftar = array();
foreach ($dataperkara ->result() as $row) {
	$nomorperkara = $row->nomor_perkara;
	$nomorsurat = $row->nomor_surat;
	$tanggalsurat = $this->templatehelper->convertKeTglIndo($row->tanggal_surat);
	$tanggaldaftar = $this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
}
$idperkara=$this->encrypt->decode(base64_decode($enc));
$idalurperkara = $this->tanggalhelper->getIDAlurPerkara($idperkara);

if ($idalurperkara==15) {
	$Template = str_replace("#GUGATAN_PERMOHONAN#",''."Gugatan".'',$Template);	
}else{
	$Template = str_replace("#GUGATAN_PERMOHONAN#",''."Permohonan".'',$Template);	
}
$Template = str_replace('#NOMOR_PERKARA#',''.$nomorperkara.'',$Template);
$Template = str_replace("#nosurat#",''.$nomorsurat.'',$Template);
$Template = str_replace("#TGL_GUGATAN#",''.$tanggalsurat.'',$Template);
$Template = str_replace("#TGL_DAFTAR#",''.$tanggaldaftar.'',$Template);

$namapn = array();
$namaketuapn = array();
$alamatpn = array();
$namawakilpn=array();

foreach ($datapengadilan->result() as $row) {
	$namapn = ucwords(strtolower($this->templatehelper->standradnaming($row->NamaPN)));
	$namaketuapn = $this->templatehelper->standradnaming($row->KetuaPNNama);
	$namawakilpn = $this->templatehelper->standradnaming($row->WakilKetuaPNNama);
	$namakota =str_replace("Pengadilan Agama ",'',$namapn);
	$namakota =str_replace("Mahkamah Syar'Iyah ",'',$namakota);
}

$Template = str_replace("#namapa#",''.$namapn.'',$Template);
$Template = str_replace('#namakota#',''.$namakota.'',$Template);
if ($pembuat==1) {
	$Template = str_replace('#JABATAN#','Ketua Pengadilan Agama',$Template);
	$Template = str_replace('#jbtn#','Ketua',$Template);
	$Template = str_replace('#namapasaja#',$namapn,$Template);
	$Template = str_replace('#atasnama#','',$Template);
	$Template = str_replace('#NAMA#',''.$namaketuapn.'',$Template);
} else {
	$Template = str_replace('#JABATAN#','Wakil Ketua Pengadilan Agama',$Template);
	$Template = str_replace('#jbtn#','Wakil Ketua',$Template);
	$Template = str_replace('#atasnama#','a.n ',$Template);
	$Template = str_replace('#NAMA#',''.$namawakilpn.'',$Template);
}
$km_lama='';
if ($datapenetapanhakimsebelumnya->num_rows>0) {
	foreach ($datapenetapanhakimsebelumnya->result() as $row) {
		$tgl_penetapan_hakim_sebelumnya=$this->templatehelper->convertKeTglIndo($row->tgl_penetapan_hakim_sebelumnya);
		$km_lama = $row->nama_gelar;
	}
}else{
		$tgl_penetapan_hakim_sebelumnya="...........................";
}
if ($ikrar==0) {
				$hakimketua = '';
				$penetapan = '';
				$tanggalpenetapanhakim = '';
				$majelis = true;
				$i=1;
				foreach ($datapenetapanhakim->result() as $row) {
					if($row->jabatan_hakim_id==1){
						$penetapan .=$i.". ".$this->templatehelper->standradnaming($row->nama_gelar)." \\tab "."sebagai ".$row->jabatan_hakim_nama.";\\par".PHP_EOL;
					}elseif($row->jabatan_hakim_id==2){
						$penetapan .=$i.". ".$this->templatehelper->standradnaming($row->nama_gelar)." \\tab "."sebagai ".$row->jabatan_hakim_nama.";\\par".PHP_EOL;
					}elseif($row->jabatan_hakim_id==3){
						$majelis = false;
						$penetapan .=$this->templatehelper->standradnaming($row->nama_gelar)." \\tab "."sebagai ".$row->jabatan_hakim_nama.";\\par".PHP_EOL;
					}
					$tanggalpenetapanhakim = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
					$i++;
				}
				if($majelis){
					$Template = str_replace('#majelis#',$penetapan,$Template);
				}else{
					$Template = str_replace('#majelis#',$penetapan,$Template);
				}
}else{
			foreach ($penetapanPMHIkrar->result() as $row) {
				$majelis_hakim = $row->majelis_hakim;
				$tgl_putus = $this->templatehelper->convertKeTglIndo($row->tgl_putus);
				$tgl_pmh = $this->templatehelper->convertKeTglIndo($row->tgl_pmh);
			}
			if(empty($tgl_pmh)){
				$tgl_pmh = '........';
				}

			if(empty($tgl_putus)){
			$tgl_putus = '........';
			}

			$nama_km ='..........';
			$nama_anggota1 ='..........';
			$nama_anggota2 ='..........';

			$temp = explode('</br>', $majelis_hakim);

			$i = count($temp);

			switch ($i) {
				case 1:
					$nama_km =$temp[0];
					break;
				case 2:
					$nama_km =$temp[0];
					$nama_anggota1 =$temp[1];
					break;
				case 3:
					$nama_km =$temp[0];
					$nama_anggota1 =$temp[1];
					$nama_anggota2 =$temp[2];
					break;
			}

			$nama_km =$this->templatehelper->standradnaming($nama_km);
			$nama_anggota1 =$this->templatehelper->standradnaming($nama_anggota1);
			$nama_anggota2 =$this->templatehelper->standradnaming($nama_anggota2);

			$Template = str_replace("#nama_pa#",''.$namapn.'',$Template);
			$Template = str_replace("#tgl_pmh#",''.$tgl_pmh.'',$Template);
			$Template = str_replace("#nama_anggota2#",''.$nama_anggota2.'',$Template);
			$Template = str_replace("#nama_anggota1#",''.$nama_anggota1.'',$Template);
			$Template = str_replace("#nama_km#",''.$nama_km.'',$Template);
			$Template = str_replace("#tgl_putus#",''.$tgl_putus.'',$Template);
			$Template = str_replace("#kota_satker#",''.$namakota.'',$Template);
			$Template = str_replace("#tgl_putus#",''.$tgl_putus.'',$Template);
}
if(empty($hakimketua)){
	$hakimketua = '........';
}

if(empty($tanggalpenetapanhakim)){
	$tanggalpenetapanhakim = '........';
}

//$Template = str_replace("#penetapan_hakim#",''.$penetapan.'',$Template);
$Template = str_replace('#tanggalpenetapanhakim#',''.$tanggalpenetapanhakim.'',$Template);
$Template = str_replace("#hakimketua#",''.$hakimketua.'',$Template);
$Template = str_replace('#TGL_PMH#',''.$tgl_penetapan_hakim_sebelumnya.'',$Template);
$counter = 1;
$dkk='';

if($datapenetapanhakim->num_rows>0){
	foreach ($datapenetapanhakim->result() as $row) {
		$keterangan = $row->keterangan;
		if ($keterangan == ''){
			$keterangan = '..........';
		}
		$Template = str_replace("#alasan#",''.$keterangan.'',$Template);
		
		if($row->jabatan_hakim_id==3){
			$ketuaMajelis = $row->nama_gelar;
			$hakimAnggota1 = ".......";
			$hakimAnggota2 = ".......";
		}else{
			if(($row->urutan)==1){
				$ketuaMajelis = $row->nama_gelar;
			}elseif(($row->urutan)==2){
				$hakimAnggota1 = $row->nama_gelar;
			}elseif(($row->urutan)==3){
				$hakimAnggota2 = $row->nama_gelar;
			}
		}
	}
}	

$Template = str_replace("#NAMA_MAJELIS#",''.$ketuaMajelis.'',$Template);
$Template = str_replace("#NAMA_ANGGOTA1#",''.$hakimAnggota1.'',$Template);
$Template = str_replace("#NAMA_ANGGOTA2#",''.$hakimAnggota2.'',$Template);  



if (!$km_lama==''){
	if ($ketuaMajelis == $km_lama){
		$km_anggota='Ketua Majelis';
	}else{
    	$km_anggota='Anggota Majelis';
    }
    $Template = str_replace("#km_anggota#",''.$km_anggota.'',$Template);
}




$idperkara=$this->encrypt->decode(base64_decode($enc));
$idalurperkara = $this->tanggalhelper->getIDAlurPerkara($idperkara);
$jenisPerkaraID=$this->tanggalhelper->getIDJenisPerkara($idperkara);

if ($idalurperkara==15) {
    $Template = str_replace("#jenis_perkara#",''." Gugatan ".'',$Template);
    if ($jenisPerkaraID==346) {
        $Template = str_replace("#jenis_pihak1#",''." Pemohon ".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''." Termohon ".'',$Template);
        $Template = str_replace("#SEBAGAI_P#","Pemohon",$Template);
        $Template = str_replace("#SEBAGAI_T#","Termohon",$Template);
    }elseif($namafile=='PDT_15_12_20_1'){
        $Template = str_replace("#jenis_pihak1#",''." Pelawan ".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''." Terlawan ".'',$Template);
        $Template = str_replace("#SEBAGAI_P#","Pelawan",$Template);
        $Template = str_replace("#SEBAGAI_T#","Terlawan",$Template);
    }else{
        $Template = str_replace("#jenis_pihak1#",''." Penggugat ".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''." Tergugat ".'',$Template);
        $Template = str_replace("#SEBAGAI_P#","Penggugat",$Template);
        $Template = str_replace("#SEBAGAI_T#","Tergugat",$Template);
    }
}else{
    $Template = str_replace("#jenis_perkara# ",''." Permohonan ".'',$Template);   
    $Template = str_replace("#jenis_pihak1#",''." Pemohon ".'',$Template);
    $Template = str_replace("#jenis_pihak2#",''." Termohon ".'',$Template);
	$Template = str_replace("#SEBAGAI_P#","Pemohon",$Template);
    $Template = str_replace("#SEBAGAI_T#","Termohon",$Template);
}

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;
?>